mysql-9.7 (9.7.1-1) unstable; urgency=medium

  * New upstream major release (Closes: #1141098).
  * Stop building server and router on 32-bit architectures.
  * Remove mysqlreport.
  * Build MySQL with tcmalloc to improve efficiency.
    - d/control: Include gperftools tcmalloc build dependency.
    - d/rules: Use WITH_TCMALLOC cmake directive on all arches except i386.
  * Use system fido2 library to avoid building libfido2 from source.
    - d/control: Add libfido2-dev build dependency.
    - d/rules: Use WITH_FIDO=system in build.
  * Update upstream signing key.

 -- Lena Voytek <lena@debian.org>  Thu, 02 Jul 2026 08:23:27 -0400

mysql-8.0 (8.0.46-1) unstable; urgency=medium

  * Import upstream version 8.0.46 to fix security issues
    - https://www.oracle.com/security-alerts/cpuapr2026.html#AppendixMSQL
    - CVE-2026-22004 CVE-2026-22005 CVE-2026-22009 CVE-2026-22015
      CVE-2026-22017 CVE-2026-21998 CVE-2026-22001 CVE-2026-22002
      CVE-2026-34267 CVE-2026-34270 CVE-2026-34271 CVE-2026-34276
      CVE-2026-34278 CVE-2026-34293 CVE-2026-34303 CVE-2026-34304
      CVE-2026-34308 CVE-2026-34317 CVE-2026-34318 CVE-2026-34319
      CVE-2026-35236 CVE-2026-35237 CVE-2026-35238 CVE-2026-35239
      CVE-2026-35240
    Upstream release notes:
    - https://dev.mysql.com/doc/relnotes/mysql/8.0/en/news-8-0-46.html
    (Closes: #1134614)

    [ Luca Boccassi ]
    * Use systemd-sysusers to create the mysql system user and group.

 -- Lena Voytek <lena.voytek@canonical.com>  Wed, 22 Apr 2026 17:25:14 -0400

mysql-8.0 (8.0.45-1) unstable; urgency=medium

  * Import upstream version 8.0.45 to fix security issues
    - https://www.oracle.com/security-alerts/cpujan2026.html#AppendixMSQL
    - CVE-2026-21936 CVE-2026-21937 CVE-2026-21941 CVE-2026-21948
      CVE-2026-21964 CVE-2026-21968
    Upstream release notes:
    - https://dev.mysql.com/doc/relnotes/mysql/8.0/en/news-8-0-45.html
    (Closes: #1126115)
  * d/control: Update standards version and remove Priority: optional
  * d/mysql-server-8.0.postinst: Update postinst to ignore lost+found directory

 -- Lena Voytek <lena.voytek@canonical.com>  Wed, 21 Jan 2026 18:24:04 -0500

mysql-8.0 (8.0.44-1) unstable; urgency=medium

  * Import upstream version 8.0.44 to fix security issues
    - https://www.oracle.com/security-alerts/cpuoct2025.html#AppendixMSQL
    - CVE-2025-53040 CVE-2025-53042 CVE-2025-53044 CVE-2025-53045
      CVE-2025-53053 CVE-2025-53054 CVE-2025-53062 CVE-2025-53069
    Upstream release notes:
    - https://dev.mysql.com/doc/relnotes/mysql/8.0/en/news-8-0-44.html
    (Closes: #1118543)
  * Remove suggests packages no longer in debian and update recommends
    (Closes: #1118115)

  [ Luca Monducci ]
  * Update it.po translation file (Closes: #1111906)

 -- Lena Voytek <lena.voytek@canonical.com>  Mon, 27 Oct 2025 08:34:23 -0400

mysql-8.0 (8.0.43-3) unstable; urgency=medium

  * Fix permissions and startup race condition in logrotate config.
    (Closes: #544013)
  * Update uploaders list, removing those who are no longer involved with the
    package. Thank you all for your work! (Closes: #1006717)
  * Add missing full stops to translations. (Closes: #1092213)
  * Update debian compat to 13.
    - Use dh_installsystemd to match compatibility.
    - Replace install --fail-missing with dh_missing.
  * Update standards version.
  * Remove set -e and set -u usage in init script. (Closes: #621020)
  * Clean up license text in d/copyright.
  * Remove file permissions updates in d/rules, fixed upstream.
  * Add missing symbols to symbols file.

 -- Lena Voytek <lena.voytek@canonical.com>  Fri, 22 Aug 2025 13:53:55 -0400

mysql-8.0 (8.0.43-2) unstable; urgency=medium

  * Update build dependencies
    - Remove explicit dependency on dh-systemd
    - Update libncurses5-dev to libncurses-dev
    - Update pkg-config to pkgconf
  * Update copyright file
    - Use https for copyright links
    - Update copyrights for added and removed files

 -- Lena Voytek <lena.voytek@canonical.com>  Thu, 24 Jul 2025 08:44:58 -0400

mysql-8.0 (8.0.43-1) unstable; urgency=medium

  * Import upstream version 8.0.43 to fix security issues
    - https://www.oracle.com/security-alerts/cpujul2025.html#AppendixMSQL
    - CVE-2024-9287 CVE-2025-0725 CVE-2025-53023 CVE-2025-5399 CVE-2025-32415
      CVE-2025-50068 CVE-2025-50077 CVE-2025-50078 CVE-2025-50079
      CVE-2025-50080 CVE-2025-50081 CVE-2025-50082 CVE-2025-50083
      CVE-2025-50084 CVE-2025-50085 CVE-2025-50086 CVE-2025-50087
      CVE-2025-50092 CVE-2025-50091 CVE-2025-50093 CVE-2025-50094
      CVE-2025-50096 CVE-2025-50097 CVE-2025-50098 CVE-2025-50099
      CVE-2025-50100 CVE-2025-50101 CVE-2025-50102 CVE-2025-50104
    Upstream release notes:
    - https://dev.mysql.com/doc/relnotes/mysql/8.0/en/news-8-0-43.html
    (Closes: #1109372)
  * Reduce lintian errors and warnings:
    - d/copyright: Update copyright to match current status of upstream files
    - d/source/lintian-overrides: Fix JSON override to match the actual error
    - d/control: Add explicit dh-systemd build dependency.

  [ Jathan ]
  * Update es.po translation file (Closes: #1104481)

  [ Carles Pina i Estany ]
  * Update ca.po translation file (Closes: #1106021)

  [ Américo Monteiro ]
  * Update pt.po translation file (Closes: #1107441)

 -- Lena Voytek <lena.voytek@canonical.com>  Wed, 23 Jul 2025 10:30:16 -0400

mysql-8.0 (8.0.42-1) unstable; urgency=medium

  * Imported upstream version 8.0.42 to fix security issues
    - https://www.oracle.com/security-alerts/cpuapr2025.html#AppendixMSQL
    - CVE-2024-13176 CVE-2024-40896 CVE-2025-21574 CVE-2025-21575
      CVE-2025-21577 CVE-2025-21579 CVE-2025-21580 CVE-2025-21581
      CVE-2025-21584 CVE-2025-21585 CVE-2025-30681 CVE-2025-30682
      CVE-2025-30683 CVE-2025-30684 CVE-2025-30685 CVE-2025-30687
      CVE-2025-30688 CVE-2025-30689 CVE-2025-30693 CVE-2025-30695
      CVE-2025-30696 CVE-2025-30699 CVE-2025-30703 CVE-2025-30704
      CVE-2025-30705 CVE-2025-30710 CVE-2025-30715 CVE-2025-30721
      CVE-2025-30722 CVE-2025-30722
    Upstream release notes:
    - https://dev.mysql.com/doc/relnotes/mysql/8.0/en/news-8-0-42.html
    (Closes: #1103385)

    [ Adriano Rafael Gomes ]
    * Update pt_BR.po translation file (Closes: #1099806)

    [ Remus-Gabriel Chelu ]
    * Update ro.po translation file (Closes: #1101821)

    [ Atila KOÇ ]
    * Update tr.po translation file (Closes: #1102290)

 -- Lena Voytek <lena.voytek@canonical.com>  Wed, 16 Apr 2025 18:05:42 -0400

mysql-8.0 (8.0.41-3) unstable; urgency=medium

  * d/mysql-server.postinst: Update debian-sys-maint user setup to use
    auth_socket instead of unsecure random password (Closes: #1095622)

  [ Frans Spiesschaert ]
  * Update nl.po translation file (Closes: #1094155)

 -- Lena Voytek <lena.voytek@canonical.com>  Fri, 21 Feb 2025 09:37:43 -0500

mysql-8.0 (8.0.41-2) unstable; urgency=medium

  * Add explicit Rules-Requires-Root: binary-targets to fix Debian builds
    (Closes: #1089396)

  [ Helge Kreutzmann ]
  * Update de.po translation file (Closes: #1092212)

  [ Martin Bagge ]
  * Update sv.po translation file (Closes: #1056664)

  [ Atila KOÇ ]
  * Update tr.po translation file (Closes: #1032516)

  [ Remus-Gabriel Chelu ]
  * Update ro.po translation file (Closes: #1031158)

 -- Lena Voytek <lena.voytek@canonical.com>  Fri, 24 Jan 2025 09:30:47 -0500

mysql-8.0 (8.0.41-1) unstable; urgency=medium

  * Imported upstream version 8.0.41 to fix security issues
    - https://www.oracle.com/security-alerts/cpujan2025.html#AppendixMSQL
    - CVE-2024-11053 CVE-2025-21490 CVE-2025-21491 CVE-2025-21495
      CVE-2025-21497 CVE-2025-21500 CVE-2025-21501 CVE-2025-21503
      CVE-2025-21505 CVE-2025-21518 CVE-2025-21519 CVE-2025-21520
      CVE-2025-21522 CVE-2025-21523 CVE-2025-21529 CVE-2025-21531
      CVE-2025-21540 CVE-2025-21543 CVE-2025-21546 CVE-2025-21555
      CVE-2025-21559
    Upstream release notes:
    - https://dev.mysql.com/doc/relnotes/mysql/8.0/en/news-8-0-41.html
    (Closes: #1093877)

 -- Lena Voytek <lena.voytek@canonical.com>  Thu, 23 Jan 2025 09:08:13 -0500

mysql-8.0 (8.0.40-2) unstable; urgency=medium

  * Avoid removal of MariaDB database during install and purge
    (Closes: #853008)
    - d/mysql-server-8.0.preinst: Check for MariaDB version in existing
      database and move data and notify user to avoid data loss.
    - d/mysql-server-8.0.postrm: Check for MariaDB version before purging
      database and skip data removal if it is found.

 -- Lena Voytek <lena.voytek@canonical.com>  Wed, 25 Dec 2024 08:07:22 -0500

mysql-8.0 (8.0.40-1) unstable; urgency=medium

  * Imported upstream version 8.0.40 to fix security issues
    - https://www.oracle.com/security-alerts/cpuoct2024.html#AppendixMSQL
    - CVE-2024-5535  CVE-2024-7264 CVE-2024-21194 CVE-2024-21196 CVE-2024-21197
      CVE-2024-21198 CVE-2024-21199 CVE-2024-21201 CVE-2024-21193
      CVE-2024-21203 CVE-2024-21212 CVE-2024-21213 CVE-2024-21218
      CVE-2024-21219 CVE-2024-21230 CVE-2024-21231 CVE-2024-21236
      CVE-2024-21238 CVE-2024-21239 CVE-2024-21241 CVE-2024-21247
      CVE-2024-37371
    Upstream release notes:
    - https://dev.mysql.com/doc/relnotes/mysql/8.0/en/news-8-0-40.html

 -- Lena Voytek <lena.voytek@canonical.com>  Thu, 17 Oct 2024 09:15:29 -0700

mysql-8.0 (8.0.39-1) unstable; urgency=medium

  * Imported upstream version 8.0.39 to fix major regressions
    Upstream release notes:
    - https://dev.mysql.com/doc/relnotes/mysql/8.0/en/news-8-0-39.html

 -- Lena Voytek <lena.voytek@canonical.com>  Mon, 29 Jul 2024 15:41:49 -0700

mysql-8.0 (8.0.38-1) unstable; urgency=medium

  * Imported upstream version 8.0.37 to fix security issues
    - https://www.oracle.com/security-alerts/cpujul2024.html#AppendixMSQL
    Upstream release notes:
    - https://dev.mysql.com/doc/relnotes/mysql/8.0/en/news-8-0-38.html

 -- Lena Voytek <lena.voytek@canonical.com>  Mon, 15 Jul 2024 09:45:05 -0700

mysql-8.0 (8.0.37-1) unstable; urgency=medium

  * Imported upstream version 8.0.37 to fix security issues
    - https://www.oracle.com/security-alerts/cpuapr2024.html#AppendixMSQL
    - CVE-2023-6129 CVE-2024-20993 CVE-2024-20994 CVE-2024-20998 CVE-2024-21000
      CVE-2024-21009 CVE-2024-21013 CVE-2024-21015 CVE-2024-21047
      CVE-2024-21049 CVE-2024-21050 CVE-2024-21051 CVE-2024-21052
      CVE-2024-21053 CVE-2024-21054 CVE-2024-21055 CVE-2024-21056
      CVE-2024-21057 CVE-2024-21060 CVE-2024-21061 CVE-2024-21062
      CVE-2024-21069 CVE-2024-21087 CVE-2024-21096 CVE-2024-21102
    Upstream release notes:
    - https://dev.mysql.com/doc/relnotes/mysql/8.0/en/news-8-0-37.html
    (Closes: #1069189)
  * d/p/revert_faster_tls_model.patch: Refresh

 -- Lena Voytek <lena.voytek@canonical.com>  Tue, 14 May 2024 12:10:48 +0200

mysql-8.0 (8.0.36-3) unstable; urgency=medium

  [ Steve Langasek ]
  * debian/patches/64bit_time_everywhere.patch: fix test for 64-bit time_t.
    (Closes: #1065700)

 -- Lena Voytek <lena.voytek@canonical.com>  Wed, 20 Mar 2024 14:01:34 -0700

mysql-8.0 (8.0.36-2) unstable; urgency=medium

  * debian/rules: Use system zlib to enforce 64 bit time_t (Closes: #1065496)
  * debian/patches/disable_64bits_time_armhf.patch: Remove - using 64 bit armhf
    time now (Closes: #1065509)
  * debian/control: Add explicit libtirpc-dev dependency (Closes: #1065289)

 -- Lena Voytek <lena.voytek@canonical.com>  Tue, 05 Mar 2024 07:26:25 -0700

mysql-8.0 (8.0.36-1) unstable; urgency=medium

  [ Lena Voytek ]
  * Imported upstream version 8.0.36 to fix security issues
    - https://www.oracle.com/security-alerts/cpujan2024.html#AppendixMSQL
    - CVE-2023-5363 CVE-2023-39975 CVE-2024-20960 CVE-2024-20961 CVE-2024-20962
      CVE-2024-20963 CVE-2024-20964 CVE-2024-20965 CVE-2024-20966
      CVE-2024-20967 CVE-2024-20968 CVE-2024-20969 CVE-2024-20970
      CVE-2024-20971 CVE-2024-20972 CVE-2024-20973 CVE-2024-20974
      CVE-2024-20975 CVE-2024-20976 CVE-2024-20977 CVE-2024-20978
      CVE-2024-20981 CVE-2024-20982 CVE-2024-20983 CVE-2024-20984
      CVE-2024-20985
    Upstream release notes:
    - https://dev.mysql.com/doc/relnotes/mysql/8.0/en/news-8-0-36.html
    (Closes: #1061126)
  * d/p/revert_faster_tls_model.patch: Refresh

  [ Marc Deslauriers ]
  * Removed patch no longer needed with 8.0.35
    - debian/patches/revert-be8348a7.patch: fix crash on startup on armhf
  * Enable test suite on armhf (LP: #2024276)
    - debian/rules: check for failures in armhf tests
    - debian/patches/suppress_armhf_test_warning.patch: suppress warning
      about the CYCLE timer not being available on armhf. (LP: #1999075)
    - debian/patches/disable_64bits_time_armhf.patch: specify armhf doesn't
      have a 64bit timer in mysql-test/include/have_64bits_time.inc.

 -- Lena Voytek <lena.voytek@canonical.com>  Wed, 17 Jan 2024 09:23:59 -0700

mysql-8.0 (8.0.35-1) unstable; urgency=medium

  * Imported upstream version 8.0.35 to fix security issues
    - https://www.oracle.com/security-alerts/cpuoct2023.html#AppendixMSQL
    - CVE-2023-2650 CVE-2023-22015 CVE-2023-22026 CVE-2023-22028 CVE-2023-22032
      CVE-2023-22059 CVE-2023-22064 CVE-2023-22065 CVE-2023-22066
      CVE-2023-22068 CVE-2023-22070 CVE-2023-22078 CVE-2023-22079
      CVE-2023-22084 CVE-2023-22092 CVE-2023-22095 CVE-2023-22097
      CVE-2023-22103 CVE-2023-22104 CVE-2023-22110 CVE-2023-22111
      CVE-2023-22112 CVE-2023-22113 CVE-2023-22114 CVE-2023-22115
      CVE-2023-38545
    Upstream release notes:
    - https://dev.mysql.com/doc/relnotes/mysql/8.0/en/news-8-0-35.html
    (Closes: #1055034)
  * d/t/upstream: Ignore explain_json_all test since it is failing on s390x as
    of version 8.0.34.

 -- Lena Voytek <lena.voytek@canonical.com>  Thu, 26 Oct 2023 10:15:57 -0700

mysql-8.0 (8.0.34-1) unstable; urgency=medium

  * Imported upstream version 8.0.34 to fix security issues
    - https://www.oracle.com/security-alerts/cpujul2023.html#AppendixMSQL
    - CVE-2023-22058 CVE-2023-22057 CVE-2023-22056 CVE-2023-22054
      CVE-2023-22053 CVE-2023-22048 CVE-2023-22046 CVE-2023-22038
      CVE-2023-22033 CVE-2023-22008 CVE-2023-22005
    Upstream release notes:
    - https://dev.mysql.com/doc/relnotes/mysql/8.0/en/news-8-0-34.html
    (Closes: #1041819)
  * d/p/fix_expired_date_in_test.patch: Remove - fixed upstream

 -- Lena Voytek <lena.voytek@canonical.com>  Mon, 24 Jul 2023 13:27:11 -0700

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog mysql-router`.
